﻿using Sitecore.Diagnostics;
using Sitecore.Mvc.Analytics.Pipelines.Response.CustomizeRendering;

namespace Skillcore.PersonalizationPreview.Pipelines.MvcCustomizeRendering
{
    public class Personalize : Sitecore.Mvc.Analytics.Pipelines.Response.CustomizeRendering.Personalize
    {
        public override void Process(CustomizeRenderingArgs args)
        {
            Assert.ArgumentNotNull(args, "args");
            if (args.IsCustomized)
                return;

            if (Sitecore.Context.PageMode.IsPreview && PersonalizationPreviewContext.Current.Enabled)
            {
                Evaluate(args);
            }
        }
    }
}